## NMSettingVxlan NMSettingVxlan — Describes connection properties for VXLAN interfaces |

## Functions

NMSetting * | nm_setting_vxlan_new ()
const char * | nm_setting_vxlan_get_parent ()
guint | nm_setting_vxlan_get_id ()
const char * | nm_setting_vxlan_get_local ()
const char * | nm_setting_vxlan_get_remote ()
guint | nm_setting_vxlan_get_source_port_min ()
guint | nm_setting_vxlan_get_source_port_max ()
guint | nm_setting_vxlan_get_destination_port ()
guint | nm_setting_vxlan_get_tos ()
guint | nm_setting_vxlan_get_ttl ()
guint | nm_setting_vxlan_get_ageing ()
guint | nm_setting_vxlan_get_limit ()
gboolean | nm_setting_vxlan_get_proxy ()
gboolean | nm_setting_vxlan_get_learning ()
gboolean | nm_setting_vxlan_get_rsc ()
gboolean | nm_setting_vxlan_get_l2_miss ()
gboolean | nm_setting_vxlan_get_l3_miss ()

## Types and Values

#define | NM_SETTING_VXLAN_SETTING_NAME
#define | NM_SETTING_VXLAN_PARENT
#define | NM_SETTING_VXLAN_ID
#define | NM_SETTING_VXLAN_LOCAL
#define | NM_SETTING_VXLAN_REMOTE
#define | NM_SETTING_VXLAN_SOURCE_PORT_MIN
#define | NM_SETTING_VXLAN_SOURCE_PORT_MAX
#define | NM_SETTING_VXLAN_DESTINATION_PORT
#define | NM_SETTING_VXLAN_TOS
#define | NM_SETTING_VXLAN_TTL
#define | NM_SETTING_VXLAN_AGEING
#define | NM_SETTING_VXLAN_LIMIT
#define | NM_SETTING_VXLAN_PROXY
#define | NM_SETTING_VXLAN_LEARNING
#define | NM_SETTING_VXLAN_RSC
#define | NM_SETTING_VXLAN_L2_MISS
#define | NM_SETTING_VXLAN_L3_MISS

## Description

The NMSettingVxlan object is a NMSetting subclass that describes properties necessary for connection to VXLAN interfaces.

## Functions

### nm_setting_vxlan_new ()

    NMSetting *
    nm_setting_vxlan_new (void);

Creates a new NMSettingVxlan object with default values.

#### Returns

the new empty NMSettingVxlan object.

[transfer full]

Since: 1.2

### nm_setting_vxlan_get_parent ()

    const char *
    nm_setting_vxlan_get_parent (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “parent” property of the setting

Since: 1.2

### nm_setting_vxlan_get_id ()

    guint
    nm_setting_vxlan_get_id (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “id” property of the setting

Since: 1.2

### nm_setting_vxlan_get_local ()

    const char *
    nm_setting_vxlan_get_local (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “local” property of the setting

Since: 1.2

### nm_setting_vxlan_get_remote ()

    const char *
    nm_setting_vxlan_get_remote (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “remote” property of the setting

Since: 1.2

### nm_setting_vxlan_get_source_port_min ()

    guint
    nm_setting_vxlan_get_source_port_min (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “source-port-min” property of the setting

Since: 1.2

### nm_setting_vxlan_get_source_port_max ()

    guint
    nm_setting_vxlan_get_source_port_max (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “source-port-max” property of the setting

Since: 1.2

### nm_setting_vxlan_get_destination_port ()

    guint
    nm_setting_vxlan_get_destination_port (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “destination-port” property of the setting

Since: 1.2

### nm_setting_vxlan_get_tos ()

    guint
    nm_setting_vxlan_get_tos (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “tos” property of the setting

Since: 1.2

### nm_setting_vxlan_get_ttl ()

    guint
    nm_setting_vxlan_get_ttl (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “ttl” property of the setting

Since: 1.2

### nm_setting_vxlan_get_ageing ()

    guint
    nm_setting_vxlan_get_ageing (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “ageing” property of the setting

Since: 1.2

### nm_setting_vxlan_get_limit ()

    guint
    nm_setting_vxlan_get_limit (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “limit” property of the setting

Since: 1.2

### nm_setting_vxlan_get_proxy ()

    gboolean
    nm_setting_vxlan_get_proxy (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “proxy” property of the setting

Since: 1.2

### nm_setting_vxlan_get_learning ()

    gboolean
    nm_setting_vxlan_get_learning (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “learning” property of the setting

Since: 1.2

### nm_setting_vxlan_get_rsc ()

    gboolean
    nm_setting_vxlan_get_rsc (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “rsc” property of the setting

Since: 1.2

### nm_setting_vxlan_get_l2_miss ()

    gboolean
    nm_setting_vxlan_get_l2_miss (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “l2_miss” property of the setting

Since: 1.2

### nm_setting_vxlan_get_l3_miss ()

    gboolean
    nm_setting_vxlan_get_l3_miss (NMSettingVxlan *setting);

#### Parameters

setting | the NMSettingVxlan |

#### Returns

the “l3_miss” property of the setting

Since: 1.2

## Types and Values

### NM_SETTING_VXLAN_SETTING_NAME

    #define NM_SETTING_VXLAN_SETTING_NAME "vxlan"

### NM_SETTING_VXLAN_PARENT

    #define NM_SETTING_VXLAN_PARENT           "parent"

### NM_SETTING_VXLAN_ID

    #define NM_SETTING_VXLAN_ID               "id"

### NM_SETTING_VXLAN_LOCAL

    #define NM_SETTING_VXLAN_LOCAL            "local"

### NM_SETTING_VXLAN_REMOTE

    #define NM_SETTING_VXLAN_REMOTE           "remote"

### NM_SETTING_VXLAN_SOURCE_PORT_MIN

    #define NM_SETTING_VXLAN_SOURCE_PORT_MIN  "source-port-min"

### NM_SETTING_VXLAN_SOURCE_PORT_MAX

    #define NM_SETTING_VXLAN_SOURCE_PORT_MAX  "source-port-max"

### NM_SETTING_VXLAN_DESTINATION_PORT

    #define NM_SETTING_VXLAN_DESTINATION_PORT "destination-port"

### NM_SETTING_VXLAN_TOS

    #define NM_SETTING_VXLAN_TOS              "tos"

### NM_SETTING_VXLAN_TTL

    #define NM_SETTING_VXLAN_TTL              "ttl"

### NM_SETTING_VXLAN_AGEING

    #define NM_SETTING_VXLAN_AGEING           "ageing"

### NM_SETTING_VXLAN_LIMIT

    #define NM_SETTING_VXLAN_LIMIT            "limit"

### NM_SETTING_VXLAN_PROXY

    #define NM_SETTING_VXLAN_PROXY            "proxy"

### NM_SETTING_VXLAN_LEARNING

    #define NM_SETTING_VXLAN_LEARNING         "learning"

### NM_SETTING_VXLAN_RSC

    #define NM_SETTING_VXLAN_RSC              "rsc"

### NM_SETTING_VXLAN_L2_MISS

    #define NM_SETTING_VXLAN_L2_MISS          "l2-miss"

### NM_SETTING_VXLAN_L3_MISS

    #define NM_SETTING_VXLAN_L3_MISS          "l3-miss"